Skip to main content
GET
/
v1
/
beta
/
datasets
/
{dataset_id}
{
  "items": [
    "<string>"
  ],
  "metadata": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dataset_name": "<string>",
    "display_name": "<string>",
    "status": "<string>",
    "created_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "domains": [
      "<string>"
    ],
    "sample_count": 123,
    "license": "<string>",
    "description": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "source_urls": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string<uuid>
required

The UUID of the dataset

Response

A successful response.

items
string[]
read-only
metadata
Full dataset metadata, returned in content responses (includes storage_path) · object